This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 919164 - (CVE-2013-1827) CVE-2013-1827 Kernel: dccp: check ccid before NULL poiter dereference
CVE-2013-1827 Kernel: dccp: check ccid before NULL poiter dereference
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20120815,repor...
: Security
Depends On: 919184 919186 919187 919188
Blocks: 919027
  Show dependency treegraph
 
Reported: 2013-03-07 13:28 EST by Prasad J Pandit
Modified: 2015-07-31 02:59 EDT (History)
27 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-23 17:15:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Prasad J Pandit 2013-03-07 13:28:33 EST
Linux kernels built with Datagram Congestion Control Protocol(DCCP),
are vulnerable to a NULL pointer dereference flaw. This occurs while accessing socket options of dccp_sock objects via ccid_hc_rx_getsockopt & ccid_hc_tx_getsockopt routines.

A user/program could use this flaw to crash the kernel, resulting in DoS.

Upstream fix:
-------------
 -> https://git.kernel.org/linus/276bdb82dedb290511467a5a4fdbe9f0b52dce6f

Reference:
----------
 -> http://seclists.org/oss-sec/2013/q1/598
Comment 1 Prasad J Pandit 2013-03-07 14:33:40 EST
Statement:

This issue does not affect the versions of the kernel package as shipped with Red Hat Enterprise Linux 5 and Red Hat Enterprise MRG 2.

This issue affects the version of Linux kernel as shipped with Red Hat Enterprise Linux 6.
Comment 3 errata-xmlrpc 2013-04-23 14:29:00 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2013:0744 https://rhn.redhat.com/errata/RHSA-2013-0744.html

Note You need to log in before you can comment on or make changes to this bug.